diff --git a/sites/all/modules/field_collection/field_collection.migrate.inc b/sites/all/modules/field_collection/field_collection.migrate.inc
index b20bbb39..477f81ab 100644
--- a/sites/all/modules/field_collection/field_collection.migrate.inc
+++ b/sites/all/modules/field_collection/field_collection.migrate.inc
@@ -107,8 +107,17 @@ class MigrateDestinationFieldCollection extends MigrateDestinationEntity {
       }
       $entity = entity_create('field_collection_item', array('field_name' => $this->bundle));
       $updating = FALSE;
-      $host_entity = entity_load_single($this->hostEntityType, $collection->host_entity_id);
+
+      // If the host id has revision, pass only the id to entity load.
+      if (is_array($collection->host_entity_id)) {
+        $entity_host_id = $collection->host_entity_id['destid1'];
+      }
+      else {
+        $entity_host_id = $collection->host_entity_id;
+      }
+
       entity_get_controller($this->hostEntityType)->resetCache();
+      $host_entity = entity_load_single($this->hostEntityType, $entity_host_id);
 
       if (isset($row->language)) {
         $entity->setHostEntity($this->hostEntityType, $host_entity, $row->language, TRUE);
